summaryrefslogtreecommitdiffstats
path: root/libraries/netcdf
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave at gmail {dot} com>2010-05-12 23:30:52 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:30:52 +0200
commit1d4dc4d54f5cd17078b391e5bc70c61ebed286f2 (patch)
treee0e2796f680b47164201290182e24261d08e3ac7 /libraries/netcdf
parent0a7a707760f74ec0241119afd0fbbaac6e9f3cc0 (diff)
downloadslackbuilds-1d4dc4d54f5cd17078b391e5bc70c61ebed286f2.tar.gz
slackbuilds-1d4dc4d54f5cd17078b391e5bc70c61ebed286f2.tar.xz
libraries/netcdf: Added to 12.2 repository
Diffstat (limited to 'libraries/netcdf')
-rw-r--r--libraries/netcdf/README26
-rw-r--r--libraries/netcdf/netcdf.SlackBuild101
-rw-r--r--libraries/netcdf/netcdf.info8
-rw-r--r--libraries/netcdf/slack-desc19
4 files changed, 154 insertions, 0 deletions
diff --git a/libraries/netcdf/README b/libraries/netcdf/README
new file mode 100644
index 0000000000..53376f2d41
--- /dev/null
+++ b/libraries/netcdf/README
@@ -0,0 +1,26 @@
+NetCDF (network Common Data Form) is a set of interfaces for
+array-oriented data access and a freely-distributed collection of data
+access libraries for C, Fortran, C++, Java, and other languages. The
+netCDF libraries support a machine-independent format for representing
+scientific data. Together, the interfaces, libraries, and format support
+the creation, access, and sharing of scientific data.
+
+NetCDF data is:
+
+ * Self-Describing. A netCDF file includes information about the
+ data it contains.
+ * Portable. A netCDF file can be accessed by computers with different
+ ways of storing integers, characters, and floating- point numbers.
+ * Scalable. A small subset of a large dataset may be accessed
+ efficiently.
+ * Appendable. Data may be appended to a properly structured netCDF
+ file without copying the dataset or redefining its structure.
+ * Sharable. One writer and multiple readers may simultaneously access
+ the same netCDF file.
+ * Archivable. Access to all earlier forms of netCDF data will be
+ supported by current and future versions of the software.
+
+The netCDF software was developed by Glenn Davis, Russ Rew, Ed Hartnett,
+John Caron, Steve Emmerson, and Harvey Davies at the Unidata Program
+Center in Boulder, Colorado, with contributions from many other netCDF
+users.
diff --git a/libraries/netcdf/netcdf.SlackBuild b/libraries/netcdf/netcdf.SlackBuild
new file mode 100644
index 0000000000..ca0eae47f3
--- /dev/null
+++ b/libraries/netcdf/netcdf.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# SlackBuild script for netcdf.
+# Updated for Slackware64 28/05/2009
+#
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=netcdf
+VERSION=4.0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --datarootdir=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress man pages
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+ done
+)
+
+# sort out the info files
+( rm -f $PKG/usr/info/dir
+ gzip -9 $PKG/usr/info/*.info*
+)
+
+cp -a COPYRIGHT INSTALL README RELEASE_NOTES VERSION examples $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/netcdf/netcdf.info b/libraries/netcdf/netcdf.info
new file mode 100644
index 0000000000..db4171bc56
--- /dev/null
+++ b/libraries/netcdf/netcdf.info
@@ -0,0 +1,8 @@
+PRGNAM="netcdf"
+VERSION="4.0.1"
+HOMEPAGE="http://www.unidata.ucar.edu/software/netcdf/"
+DOWNLOAD="http://www.unidata.ucar.edu/downloads/netcdf/ftp/netcdf-4.0.1.tar.gz"
+MD5SUM="a251453c5477599f050fa4e593295186"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave <at> gmail {dot} com"
+APPROVED="dsomero"
diff --git a/libraries/netcdf/slack-desc b/libraries/netcdf/slack-desc
new file mode 100644
index 0000000000..d210f3b3c1
--- /dev/null
+++ b/libraries/netcdf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+netcdf: NetCDF (libraries for storing scientific data)
+netcdf:
+netcdf: NetCDF (network Common Data Form) is a set of interfaces for array-
+netcdf: oriented data access and a freely-distributed collection of data
+netcdf: access libraries for C, Fortran, C++, Java, and other languages. The
+netcdf: netCDF libraries support a machine-independent format for
+netcdf: representing scientific data. Together, the interfaces, libraries,
+netcdf: and format support the creation, access, and sharing of scientific
+netcdf: data.
+netcdf:
+netcdf: http://www.unidata.ucar.edu/software/netcdf/